ATA_QC_COMPLETE(9)

NAME
ata_qc_complete - Complete an active ATA command

SYNOPSIS

void ata_qc_complete(struct ata_queued_cmd * qc);

ARGUMENTS

qc
    Command to complete

DESCRIPTION

Indicate to the mid and upper layers that an ATA command has completed, with either an ok or not-ok status.

Refrain from calling this function multiple times when successfully completing multiple NCQ commands. ata_qc_complete_multiple should be used instead, which will properly update IRQ expect state.

LOCKING

spin_lock_irqsave(host lock)

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT